> For the complete documentation index, see [llms.txt](https://docs.gameket.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gameket.io/operations/products/manage-stock.md).

# Manage Stock

#### Update Stock Status

**Endpoint:**

```bash
PATCH /merchant/products/status?productId={productId}
```

**Request Body:**

```json
{
  "status": "active" | "inactive" | "out-of-stock"
}
```

#### Auto Stock Management

**Endpoint:**

```bash
POST /merchant/products/stock/auto?productId={productId}
```

**Request Body:**

```json
{
  "enabled": true,
  "minThreshold": 50,
  "autoReplenishAmount": 500
}
```

#### Manual Stock Management

**Endpoint:**

```bash
POST /merchant/products/stock/manual?productId={productId}
```

**Request Body:**

```json
{
  "available": 1000,
  "reserved": 100
}
```

#### Update Stock Amount

**Endpoint:**

```bash
PUT /merchant/products/stock?productId={productId}
```

**Request Body:**

```json
{
  "available": 500,
  "method": "manual"
}
```
